
Redmine - Defect #30488

Missing migration for Comment table

2019-01-24 06:56 - Thibault Mutabazi

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.0

Description

I just finished upgrading this plugin https://github.com/matsukei/redmine_send_issue_reply_email to work on Redmine 4.0

and when i run the tests, i received this error

ActiveRecord::Fixture::FixtureError: table "comments" has no columns named "content"

 After checking the Comment model, i believe there's a missing migration that would add "content" to the Comments table.

My stack is:

Ruby 2.4.1

Rails 5.2

Redmine 4.0.0

History

#1 - 2019-01-24 09:10 - Marius BĂLTEANU

- Status changed from New to Needs feedback

- Assignee set to Thibault Mutabazi

Did you run rake db:migrate?

The migration exists, please see source:trunk/db/migrate/20170723112801_rename_comments_to_content.rb

#2 - 2019-01-25 08:56 - Thibault Mutabazi

Sorry for wasting your time. A migration fixed it

#3 - 2019-01-25 09:03 - Go MAEDA

- Status changed from Needs feedback to Closed

- Assignee deleted (Thibault Mutabazi)

- Resolution set to Invalid

Thank you for the feedback. I am relieved to hear that.
